clear
if [ "$(id -u)" -ne 0 ]; then
    echo "请以Root权限执行此脚本"
    exit 0
fi

timezone=$( (timedatectl show --property=Timezone --value 2>/dev/null || date +%Z) | tr -d '\n' )
if [ "$timezone" = "CST" ] || [ "$timezone" = "Asia/Shanghai" ]; then
    echo "请更改时区"
    exit
fi

rm -rf /data/user/0/com.vng.pubgmobile/shared_prefs /storage/emulated/0/Documents/
mkdir /data/user/0/com.vng.pubgmobile/shared_prefs
chmod 777 /data/user/0/com.vng.pubgmobile/shared_prefs
rm -rf /data/user/0/com.vng.pubgmobile/files

GUEST="/data/user/0/com.vng.pubgmobile/shared_prefs/device_id.xml"
rm -rf $GUEST
echo "<?xml version='1.0' encoding='utf-8' standalone='yes' ?>
<map>
    <string name=\"random\"></string>
    <string name=\"install\"></string>
    <string name=\"uuid\">$RANDOM$RANDOM-$RANDOM-$RANDOM-$RANDOM-$RANDOM$RANDOM$RANDOM</string>
</map>" > $GUEST

rm -rf /data/user/0/com.vng.pubgmobile/databases
rm -rf /data/media/0/Android/data/com.vng.pubgmobile/files/login-identifier.txt
rm -rf /data/media/0/Android/data/com.vng.pubgmobile/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Intermediate
touch /data/media/0/Android/data/com.vng.pubgmobile/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Intermediate
rm -rf /data/media/0/Android/data/com.vng.pubgmobile/files/TGPA
touch /data/media/0/Android/data/com.vng.pubgmobile/files/TGPA
rm -rf /data/media/0/Android/data/com.vng.pubgmobile/files/ProgramBinaryCache
touch /data/media/0/Android/data/com.vng.pubgmobile/files/ProgramBinaryCache
iptables -I OUTPUT -d cloud.vmp.onezapp.com -j REJECT
iptables -I INPUT -s cloud.vmp.onezapp.com -j REJECT

rm -rf /data/app/*/com.vng.pubgmobile-*/lib/arm64/libtgpa.so
#解除刷新游客限制

rm -rf /storage/emulated/0/Android/data/com.vng.pubgmobile/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/SaveGames/loginInfoFile.json
rm -rf /storage/emulated/0/Android/data/com.vng.pubgmobile/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/SaveGames/eLoginData.json
#删除登录300秒日志

echo 刷新游客成功